Name:          libqjson
Version:       0.8.1
Release:       1mamba
Summary:       A lightweight data-interchange format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://sourceforge.net/projects/qjson/
Source:        http://downloads.sourceforge.net/project/qjson/qjson/%{version}/qjson-%{version}.tar.bz2
License:       LGPL
BuildRequires: cmake
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
JSON is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value, and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
JSON is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value, and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.

This package contains static libraries and header files need for development.

%prep
%setup -q -n qjson-%{version}

%build
%cmake -d build \
   -DCMAKE_MODULES_INSTALL_DIR=%{_datadir}/cmake/Modules/
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libqjson.so.*
%doc COPYING.lib README.license

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qjson
%{_includedir}/qjson/*.h
%{_libdir}/libqjson.so
%{_libdir}/pkgconfig/QJson.pc
%{_libdir}/cmake/qjson/QJSON*.cmake

%changelog
* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic version update by autodist

* Sun Aug 15 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.7.1-1mamba
- package created by autospec
